<script>
export default {
  props:{
    /* 接受最大数量 */
    maxCount:{
      type:Number,
      default:1
    },
    /* 接受的类型 */
    accept:{
      type:Array,
      default:['image/*']
    },
    /* 图片文件列表 */
    value:{
      type:Array,
      default:[]
    }
  },
  computed:{
    fileList:{
      get(){
        return this.value
      },
      set(value){
        this.$emit('input',value)
      }
    }
  },
  methods: {
    chooseFile() {
      uni.chooseFile
    }
  }
}
</script>

<template>
  <view class="file-upload">
    <view class="upload-btn" @click="chooseFile">
      <image class="upload-icon" src="@/static/images/upload/jiahao.png" mode="center"  alt="" />
    </view>
  </view>
</template>

<style scoped lang="scss">
.file-upload {
  border: 1px solid #ccc;
  .upload-icon {
    width:60px;
    height:60px;
  }
  .upload-btn {
    width:60px;
    height:60px
  }
  img {
    width: 100%;
    height: 100%;
  }
}
</style>